/*
 * Copyright (c) 2024 NVIDIA CORPORATION & AFFILIATES, ALL RIGHTS RESERVED.
 *
 * This software product is a proprietary product of NVIDIA CORPORATION &
 * AFFILIATES (the "Company") and all right, title, and interest in and to the
 * software product, including all associated intellectual property rights, are
 * and shall remain exclusively with the Company.
 *
 * This software product is governed by the End User License Agreement
 * provided with the software product.
 *
 */

#ifndef DOCA_STA_HANDLE_H_
#define DOCA_STA_HANDLE_H_

#include <stdint.h>

#ifdef __cplusplus
extern "C" {
#endif

/**
 * @brief DOCA STA QP handle type definition
 */
struct doca_sta_qp_handle;

/**
 * @brief DOCA STA Subsystem handle type definition
 */
struct doca_sta_subs_handle;

/**
 * @brief DOCA STA namespace handle type definition
 */
struct doca_sta_ns_handle;

/**
 * @brief DOCA STA EU (handler) handle type definition
 */
struct doca_sta_eu_handle;

/**
 * @brief DOCA STA Back-end (BE handler) handle type definition
 */

struct doca_sta_be_handle;

/**
 * @brief DOCA STA Back-end handler queue handle type definition
 */

struct doca_sta_be_q_handle;

#ifdef __cplusplus
}
#endif

#endif /* DOCA_STA_HANDLE_H_ */
